/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  convert hh_params to double
*/

#ifndef DOUBLE_UTIL_H
#define DOUBLE_UTIL_H

#include "types.h"

// params
typedef struct hh_params_double {
  int omega;
  long double t1;
  long double t2;
  long double lambda;
  long double sinphi;
  long double phi;
  long double W;
} hh_params_double;

// format for I function (used to compute sunrise diagrams)
#define TYPE_I_DOUBLE long double (*I)(long double, long double, long double, long double, long double, long double, long double, long double, long double, long double)

// convert hh_params
int hh_params_todouble(hh_params_double* params_double, hh_params params);

#endif
