/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  wrappers for the functions used to find the desired roots
*/

#ifndef HH_ROOT_H
#define HH_ROOT_H

#include "types.h"
#include <libinum.h>

// the arguments for the integration wrapper
typedef struct args_integration{
  array_mpfr abcissa;
  array_mpfr weights;
  hh_params params;
} args_integration;

// wrapper for the integration function, used for the Newton scheme
int integration_wrapper(mpfr_t* out, mpfr_t in, void* extra_args);
// wrapper for the derivative of the integration function, used for the Newton scheme
int d_integration_wrapper(mpfr_t* out, mpfr_t in, void* extra_args);

#endif
