/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

#ifndef TYPES_H
#define TYPES_H

#include <mpfr.h>

typedef struct hh_params {
  int omega;
  mpfr_t t1;
  mpfr_t t2;
  mpfr_t lambda;
  mpfr_t sinphi;
  mpfr_t phi;
  mpfr_t W;
} hh_params;

// format for I function (used to compute sunrise diagrams)
#define TYPE_I int (*I)(mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, mpfr_ptr, array_mpfr*, struct ss_cache)

#endif
