/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  Computation of z1-z2 and z1+z2 (using doubles)
*/

#ifndef ZZ_INTEGRAL_DOUBLE_H
#define ZZ_INTEGRAL_DOUBLE_H

// I for z1-z2
long double zz_I_double(long double p1, long double p2, long double q1, long double q2, long double F1, long double F2, long double t1, long double t2, long double phi, long double W);

// I for z1+z2
long double ZZ_I_double(long double p1, long double p2, long double q1, long double q2, long double F1, long double F2, long double t1, long double t2, long double phi, long double W);

// bar alpha_1(k1,k2)
long double zz_alpha1_double(long double k1, long double k2);
// bar alpha_2(k1,k2)
long double zz_alpha2_double(long double k1, long double k2);

#endif
